package dev.pfaff.altargui.debug.jfr;

import jdk.jfr.Description;
import jdk.jfr.Event;
import jdk.jfr.Label;
import jdk.jfr.Unsigned;

@Label("Attach Widget State")
public final class AttachWidgetStateEvent extends Event {
	@Label("Parent Key")
	@Description("Key of the widget attaching")
	@Unsigned
	private final long parentKey;

	@Label("Child Key")
	@Description("Key of the widget being attached")
	@Unsigned
	private final long childKey;

	public AttachWidgetStateEvent(long parentKey, long childKey) {
		this.parentKey = parentKey;
		this.childKey = childKey;
	}
}
